<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'inventory',

    /*
     * Package.
     */
    'package'   => 'purchase',

    /*
     * Modules.
     */
    'modules'   => ['order', 'item'],

    'order'       => [
        'model' => [
            'model'                 => \Inventory\Purchase\Models\Order::class,
            'table'                 => 'orders',
            'presenter'             => \Inventory\Purchase\Repositories\Presenter\OrderPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'vendor_id',  'customer_id',  'payment_term_id',  'order_no',  'reference',  'order_date',  'expected_delivery_date',  'status',  'subtotal',  'discount',  'total',  'notes',  'terms_and_conditions',  'files',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'purchase/order',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Purchase',
            'module'    => 'Order',
        ],

    ],
    'item'       => [
        'model' => [
            'model'                 => \Inventory\Purchase\Models\Item::class,
            'table'                 => 'items',
            'presenter'             => \Inventory\Purchase\Repositories\Presenter\ItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'purchase_order_id',  'item_id',  'code',  'uom',  'tax_id',  'date',  'qty',  'unit_price',  'discount',  'subtotal',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'purchase/item',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Purchase',
            'module'    => 'Item',
        ],

    ],
];
