Lavalite package that provides purchase management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `inventory/purchase`.

    "inventory/purchase": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Inventory\Purchase\Providers\PurchaseServiceProvider::class,

And also add it to alias

    'Purchase'  => Inventory\Purchase\Facades\Purchase::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Inventory\\PurchaseTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Inventory\Purchase\Providers\PurchaseServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Inventory\Purchase\Providers\PurchaseServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Inventory\Purchase\Providers\PurchaseServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/purchase/{modulename}

**User**

    http://path-to-route-folder/user/purchase/{modulename}

**Public**

    http://path-to-route-folder/purchases


### API endpoints

**List**

    http://path-to-route-folder/api/user/purchase/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/purchase/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/purchase/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/purchase/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/purchase/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/purchase/{modulename}/{slug}
    METHOD: GET