<?php

// API routes  for order
Route::prefix('{guard}/purchase')->group(function () {
    Route::get('order/form/{element}', 'OrderAPIController@form');
    Route::resource('order', 'OrderAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for purchases
            Route::prefix('{guard}/purchase')->group(function () {
                Route::get('order/form/{element}', 'OrderAPIController@form');
                Route::apiResource('order', 'OrderAPIController');
            });
            // Public routes for purchases
            Route::get('purchase/Order', 'OrderPublicController@getOrder');
        }
    );
}

// API routes  for item
Route::prefix('{guard}/purchase')->group(function () {
    Route::get('item/form/{element}', 'ItemAPIController@form');
    Route::resource('item', 'ItemAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for purchases
            Route::prefix('{guard}/purchase')->group(function () {
                Route::get('item/form/{element}', 'ItemAPIController@form');
                Route::apiResource('item', 'ItemAPIController');
            });
            // Public routes for purchases
            Route::get('purchase/Item', 'ItemPublicController@getItem');
        }
    );
}

