<?php

namespace Inventory\Purchase\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Order policy
        'Inventory\Purchase\Models\Order' => \Inventory\Purchase\Policies\OrderPolicy::class,// Bind Item policy
        'Inventory\Purchase\Models\Item' => \Inventory\Purchase\Policies\ItemPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
