<?php

namespace Inventory\Purchase;

use User;

class Purchase
{
    /**
     * $order object.
     */
    protected $order;    /**
     * $item object.
     */
    protected $item;

    /**
     * Constructor.
     */
    public function __construct(\Inventory\Purchase\Interfaces\OrderRepositoryInterface $order,        \Inventory\Purchase\Interfaces\ItemRepositoryInterface $item)
    {
        $this->order = $order;        $this->item = $item;
    }

    /**
     * Returns count of purchase.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.order.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->order->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\OrderUserCriteria());
        }

        $order = $this->order->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('purchase::' . $view, compact('order'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.item.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->item->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\ItemUserCriteria());
        }

        $item = $this->item->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('purchase::' . $view, compact('item'))->render();
    }
}
