<?php

namespace Inventory\Purchase\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OrderTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Purchase\Models\Order $order)
    {
        return [
            'id'                => $order->getRouteKey(),
            'key'               => [
                'public'    => $order->getPublicKey(),
                'route'     => $order->getRouteKey(),
            ], 
            'vendor_id'         => $order->vendor_id,
            'customer_id'       => $order->customer_id,
            'payment_term_id'   => $order->payment_term_id,
            'order_no'          => $order->order_no,
            'reference'         => $order->reference,
            'order_date'        => $order->order_date,
            'expected_delivery_date' => $order->expected_delivery_date,
            'subtotal'          => $order->subtotal,
            'discount'          => $order->discount,
            'total'             => $order->total,
            'notes'             => $order->notes,
            'terms_and_conditions' => $order->terms_and_conditions,
            'files'             => $order->files,
            'user_id'           => $order->user_id,
            'user_type'         => $order->user_type,
            'deleted_at'        => $order->deleted_at,
            'url'               => [
                'public'    => trans_url('purchase/'.$order->getPublicKey()),
                'user'      => guard_url('purchase/order/'.$order->getRouteKey()),
            ], 
            'status'            => trans('app.'.$order->status),
            'created_at'        => format_date($order->created_at),
            'updated_at'        => format_date($order->updated_at),
        ];
    }
}